package com.sinosig.core.module.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.util.ISearchFilter;
import com.sinosig.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sinosig.util.SearchContext;
import com.sinosig.util.SearchFieldFilter;
import com.sinosig.util.enums.SearchFieldType;
import com.sinosig.util.enums.SearchGroupType;
import com.sinosig.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[TBYDK] 查询条件对象
 */
@Data
public class TBYDKSearchContext extends SearchContext {

	   public String n_tbydkname_like;//[特别约定库名称]
       public void setN_tbydkname_like(String n_tbydkname_like) {
            this.n_tbydkname_like=n_tbydkname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("tbydkname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_tbydkname_like);
            this.getCondition().add(searchField);
       }
	   public String n_lb_eq;//[类别]
       public void setN_lb_eq(String n_lb_eq) {
            this.n_lb_eq=n_lb_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("lb");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_lb_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter tbydkname=new SearchFieldFilter();
           tbydkname.setParam("tbydkname");
           tbydkname.setCondition(SearchFieldType.LIKE);
           tbydkname.setValue(strQuery);
           searchGroupFilter.getCondition().add(tbydkname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
